Loading...
Searching...
No Matches
Halide::Runtime::AllInts< T, Args... > Struct Template Reference

`#include <HalideBuffer.h>`

Inheritance diagram for Halide::Runtime::AllInts< T, Args... >:

## Static Public Attributes

static const bool | value = std::is_convertible<T, int>::value && AllInts<Args...>::value

## Detailed Description

template<typename T, typename... Args>
struct Halide::Runtime::AllInts< T, Args... >

Definition at line 135 of file HalideBuffer.h.

## Member Data Documentation

## value

template<typename T, typename... Args>

const bool Halide::Runtime::AllInts< T, Args... >::value = std::is_convertible<T, int>::value && AllInts<Args...>::value

static

Definition at line 136 of file HalideBuffer.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideBuffer.h